/* Button styles */
.container_button {
    width: 100%;
    margin: 1rem auto;
    display: flex;
    flex-flow: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 15px;
}

.template_button {
    display: block;
    position: relative;
    width: 300px;
    max-width: 100%;
    background: var(--purple);
    color: #ffff;
    border: none;
    border-radius: 2vh;
    font-size: 1.2rem;
    font-weight: 500;
    padding: 1rem;
    cursor: pointer;
    transition: .2s ease-in-out all;
}

.template_button[disabled] {
    background-color: #ccc;
    color: #999;
    cursor: not-allowed;
}

.template_button:hover {
    background: var(--blue);
}

.btn_login {
    margin: 0;
}

.template_button.dark {
    background: var(--dark);
}

.template_button.green {
    background: var(--green);
}

.template_button.grey {
    background: var(--grey);
}

.template_button.yellow {
    background: var(--yellow);
}

.template_button.red {
    background: var(--red);
}

.template_button.long{
    width: 80%;

}

.template_button::after, .template_button::before{
    content: "";
    position: absolute;
    top: calc(50% - 10px);
    right: 20px;
    width: 20px;
    height: 20px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 1;
    transition: .6s ease-in-out;
}

.template_button:hover::after {
    transform: rotate(360deg);
}

.template_button.next::after {
    background-image: url('../assets/Buttons/Arrow.svg');
}

.template_button.add::after {
    background-image: url('../assets/Buttons/add.svg');
}

.template_button::before {
    left: 20px;
}